Package org.apache.groovy.json

# Interface FastStringService

All Known Implementing Classes:
  `DefaultFastStringService`

public interface FastStringService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `noCopyStringFromChars(char[] chars)`
  `char[]`
  `toCharArray(String string)`

- ## Method Details

  - ### toCharArray

    char[] toCharArray(String string)
    Parameters:
      `string` - string to grab array from.
    Returns:
      char array from string

  - ### noCopyStringFromChars

    String noCopyStringFromChars(char[] chars)
    Parameters:
      `chars` - to shove array into.
    Returns:
      new string with chars copied into it